curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/agent/get" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "aid-8f3a1b2c4d5e6f70",
"agent_version": "beta"
}'{
"request_id": "f6a7b8c9-d0e1-2345-fabc-456789012345",
"status_code": 200,
"code": "Success",
"message": "",
"status": "SUCCESS",
"success": true,
"data": {
"agent_id": "aid-8f3a1b2c4d5e6f70",
"agent_name": "客服知识问答助手",
"agent_desc": "基于产品文档的智能客服问答 Agent",
"agent_scene": "chat",
"agent_status": "deployed",
"create_time": "2026-07-10T14:30:00",
"modify_time": "2026-07-15T09:15:00",
"agent_details": [
{
"agent_version": "beta",
"agent_version_desc": "草稿版本",
"publish_time": null,
"agent_config": {
"agent_policy": "agentic",
"agent_model": "qwen-plus-latest",
"enable_session_file": "false",
"enable_refusal": "true",
"enable_anti_leak": "false",
"enable_rich_text": "false",
"enable_citation": "true",
"temperature": 0.5,
"kb_search_configs": [
{
"id": "pipeline-xxxxxx",
"weight": 1,
"credibility_level": "high",
"dense_similarity_top_k": 10,
"rerank_top_n": 5,
"rerank_min_score": 0.3,
"rerank": {
"model_name": "gte-rerank-hybrid",
"rerank_mode": "qa"
}
}
]
}
}
]
}
}agent_version 时返回所有版本详情。
"release" 作为 agent_version。Authorizations
DashScope API Key,在控制台 API Key 页面(https://bailian.console.aliyun.com/settings/apikey)获取。
Response
请求唯一标识,排查问题时请提供此 ID。
HTTP 状态码。
响应码,成功时为 Success。
提示信息。
请求状态:SUCCESS 或 FAILED。
请求是否成功。
Show child attributes
Show child attributes
Agent ID。
Agent 名称。
Agent 描述。
Agent 场景:chat 或 search。
Agent 状态。
创建时间(ISO 8601 格式)。
修改时间(ISO 8601 格式)。
Agent 版本详情列表。不指定 agent_version 时返回所有版本。
Show child attributes
Show child attributes
版本号,beta 或数字(如 1、2)。
版本描述。
发布时间(ISO 8601 格式),beta 版本无此字段。
Agent 配置对象,不传则使用默认配置。
Show child attributes
Show child attributes
Agent 使用的模型名称,如 qwen-plus-latest、qwen-max-latest。
Agent 策略,如 agentic。
是否开启防泄漏功能,true 或 false。
是否开启引用标注,true 或 false。
是否启用知识库路由(search 场景),true 或 false。
是否开启拒答功能,true 或 false。
是否开启富文本输出,true 或 false。
是否开启会话文件功能,true 或 false。
路由模型名称,enable_kb_router 为 true 时必填,须在平台白名单内。
知识库检索配置列表。
Show child attributes
Show child attributes
知识库可信度等级,如 high、medium、low。
稠密检索返回的 Top-K 数量。
关联的知识库 Pipeline ID。
重排序最低分数阈值,分数低于此值的切片会被过滤。
重排序后保留的 Top-N 数量。
检索过滤条件,按知识库 schema 校验。
稀疏检索 Top K,范围 [1, 100]。
知识库权重。
最大生成 token 数,须大于等于 1。
Agent 最大 LLM 调用次数。
混排 Top N(search 场景),范围 [1, 20]。
会话文件最大解析长度,须小于模型的 max_context_length。
模型采样温度,取值范围 [0, 2]。